This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 799684 - php 5.4 is FTBFS on ARM
php 5.4 is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libzip (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2012-03-04 04:32 EST by Peter Robinson
Modified: 2012-03-09 21:09 EST (History)
6 users (show)

See Also:
Fixed In Version: libzip-0.10-2.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-09 21:09:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-03-04 04:32:36 EST
5.4.0-rc6 built fine on ARM. The later releases including 5.4.0 gold release doesn't. 

http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=58183
Comment 1 Remi Collet 2012-03-04 05:01:10 EST
Can you please check the libzip version available in ARM buildtree ?

sincy RC8, we are using system libzip.
Comment 2 Peter Robinson 2012-03-04 05:15:57 EST
libzip-0.10-1.fc17
Comment 3 Remi Collet 2012-03-04 05:25:19 EST
Can you please check the content of the multi-arch support header
http://pkgs.fedoraproject.org/gitweb/?p=libzip.git;a=blob_plain;f=zipconf.h;hb=HEAD

I have copied this file from the MySQL one.
It seems it need to be fixed for ARM.
Comment 4 Peter Robinson 2012-03-04 05:30:11 EST
(In reply to comment #3)
> Can you please check the content of the multi-arch support header

Not sure what you mean, we use upstream packages without changes. We also don't have multilib requirements on ARM
Comment 5 Remi Collet 2012-03-04 05:37:33 EST
Please read the linked file (which is on fedora RPM)

If this file is not aware of ARM, it will not find the zipconf_xxx.h, so will not define the LIBZIP_VERSION.

So it's a libzip RPM issue, not a php one.
Comment 6 Fedora Update System 2012-03-04 06:17:53 EST
libzip-0.10-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libzip-0.10-2.fc17
Comment 7 Peter Robinson 2012-03-04 17:24:44 EST
Thanks, that fixed php and number of other packages that depended on libzip
Comment 8 Fedora Update System 2012-03-05 15:57:32 EST
Package libzip-0.10-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libzip-0.10-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2891/libzip-0.10-2.fc17
then log in and leave karma (feedback).
Comment 9 Fedora Update System 2012-03-09 21:09:22 EST
libzip-0.10-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.